org.eclipse.rdf4j.common.app.config

## Interface Configuration

- All Known Subinterfaces:
    LogConfiguration
  All Known Implementing Classes:
    AbstractLogConfiguration, AppConfiguration, LogbackConfiguration, LogConfigurationBase, ProxySettings

      public interface Configuration

  Application configuration interface

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_RESOURCES_LOCATION`
    `static String` | `DIR`
    `static String` | `RESOURCES_LOCATION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Clean up configuration resources.
    `void` | `init()` Initialize the configuration settings.
    `void` | `load()` Load the configuration settings.
    `void` | `save()` Store configuration settings.

- - ### Field Detail

    - #### DIR

          static final String DIR

      See Also:
        Constant Field Values

    - #### RESOURCES_LOCATION

          static final String RESOURCES_LOCATION

      See Also:
        Constant Field Values

    - #### DEFAULT_RESOURCES_LOCATION

          static final String DEFAULT_RESOURCES_LOCATION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### init

          void init()
             throws IOException

      Initialize the configuration settings.
      Throws:
        `IOException` - if the configuration settings could not be initialized because of an I/O problem.

    - #### load

          void load()
             throws IOException

      Load the configuration settings. Settings will be loaded from a user and application specific location first. If no such settings exists, an attempt will be made to retrieve settings from a resource on the classpath. If no such settings exist either, settings will be loaded from a default resource on the classpath.
      Throws:
        `IOException` - if the configuration settings could not be loaded due to an I/O problem.

    - #### save

          void save()
             throws IOException

      Store configuration settings. Settings will be stored in a user and application specific location.
      Throws:
        `IOException` - if the configuration settings could not be saved due to an I/O problem.

    - #### destroy

          void destroy()
                throws IOException

      Clean up configuration resources.
      Throws:
        `IOException` - if one or more resources could not be cleaned up. Implementations should attempt to clean up as many resources as possible before returning or throwing an exception.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.